> ## Documentation Index
> Fetch the complete documentation index at: https://docs.didx.co.za/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all users in the authenticated tenant.



## OpenAPI

````yaml products/didx-me/api-reference/v1/consumer-onboarding.json get /users
openapi: 3.0.0
info:
  version: 1.0.0
  title: Consumer Onboarding API
  description: |2-

          
    OpenAPI documentation for Consumer Onboarding API

          
          
     - [JSON - OpenAPI Specification](/consumer-onboarding/api/openapi.json)
servers:
  - url: https://test.didxtech.com/consumer-onboarding/api
security:
  - bearerAuth: []
paths:
  /users:
    get:
      tags:
        - users
      summary: Get all users in the authenticated tenant.
      responses:
        '200':
          description: List of users.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserListApiResponse'
        '401':
          description: Unauthorized. Invalid or missing token.
      security:
        - bearerAuth: []
components:
  schemas:
    UserListApiResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/UserDto'
        links:
          $ref: '#/components/schemas/ApiLinks'
        meta:
          $ref: '#/components/schemas/ApiMeta'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      required:
        - data
    UserDto:
      type: object
      properties:
        id:
          type: string
        username:
          type: string
        email:
          type: string
          format: email
        firstName:
          type: string
        lastName:
          type: string
        enabled:
          type: boolean
      required:
        - id
        - firstName
        - lastName
        - enabled
      example:
        id: 123e4567-e89b-12d3-a456-426614174000
        username: johndoe
        email: user@example.com
        firstName: John
        lastName: Doe
        enabled: true
    ApiLinks:
      type: object
      properties:
        self:
          type: string
          format: uri
        first:
          type: string
          format: uri
        last:
          type: string
          format: uri
        prev:
          type: string
          format: uri
        next:
          type: string
          format: uri
        related:
          type: string
          format: uri
    ApiMeta:
      type: object
      additionalProperties:
        nullable: true
    ApiError:
      type: object
      properties:
        id:
          type: string
        status:
          type: string
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              type: string
            parameter:
              type: string
        meta:
          type: object
          additionalProperties:
            nullable: true
      required:
        - detail
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````